package com.bonus.canteen.core.device.manage.model.metadata;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class WeightBindMetadata extends BaseMetadate implements Serializable {
   @ApiModelProperty("启用混合支付 默认2   1启用2不启用")
   private String payMixture = "2";
   @ApiModelProperty(" 0,标准  1,卡号倒序(12345678->8654321)   2,读6位卡号(去尾)(12345678->123456)  3,读6位卡号(去头)(12345678->345678)4,卡号10进制转16进制  5,16进制转10进制")
   private String ruleCardQRTran = "0";
   @ApiModelProperty(" 工作模式   1绑定模式（默认）、2结算模式、3录盘模式")
   private String weightWorkModel = "1";
   @ApiModelProperty("托盘类型  1 芯片托盘  2 条码托盘 默认1")
   private String trayModel = "1";
   @ApiModelProperty("最低消费金额  默认0")
   private String weightMinconsumption = "0";
   @ApiModelProperty("卡  默认1 开启1  关闭2")
   private String identityCard = "1";
   @ApiModelProperty("码  默认1 开启1  关闭2")
   private String identityQR = "1";
   @ApiModelProperty("脸    默认1 开启1  关闭2")
   private String identityFace = "1";
   @ApiModelProperty("允许解绑托盘    默认1   1允许  关闭2")
   private String allowUnbindPlate = "1";

   public String getPayMixture() {
      return this.payMixture;
   }

   public String getRuleCardQRTran() {
      return this.ruleCardQRTran;
   }

   public String getWeightWorkModel() {
      return this.weightWorkModel;
   }

   public String getTrayModel() {
      return this.trayModel;
   }

   public String getWeightMinconsumption() {
      return this.weightMinconsumption;
   }

   public String getIdentityCard() {
      return this.identityCard;
   }

   public String getIdentityQR() {
      return this.identityQR;
   }

   public String getIdentityFace() {
      return this.identityFace;
   }

   public String getAllowUnbindPlate() {
      return this.allowUnbindPlate;
   }

   public void setPayMixture(final String payMixture) {
      this.payMixture = payMixture;
   }

   public void setRuleCardQRTran(final String ruleCardQRTran) {
      this.ruleCardQRTran = ruleCardQRTran;
   }

   public void setWeightWorkModel(final String weightWorkModel) {
      this.weightWorkModel = weightWorkModel;
   }

   public void setTrayModel(final String trayModel) {
      this.trayModel = trayModel;
   }

   public void setWeightMinconsumption(final String weightMinconsumption) {
      this.weightMinconsumption = weightMinconsumption;
   }

   public void setIdentityCard(final String identityCard) {
      this.identityCard = identityCard;
   }

   public void setIdentityQR(final String identityQR) {
      this.identityQR = identityQR;
   }

   public void setIdentityFace(final String identityFace) {
      this.identityFace = identityFace;
   }

   public void setAllowUnbindPlate(final String allowUnbindPlate) {
      this.allowUnbindPlate = allowUnbindPlate;
   }

}
